TCursorGetConfig (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TCursorGetConfig

- java.lang.Object
- - com.sleepycat.thrift.TCursorGetConfig

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TCursorGetConfig>, org.apache.thrift.TBase<TCursorGetConfig,TCursorGetConfig._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TCursorGetConfig
      extends java.lang.Object
      implements org.apache.thrift.TBase<TCursorGetConfig,TCursorGetConfig._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TCursorGetConfig>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TCursorGetConfig._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `batchSize`
    `TIsolationLevel` | `isoLevel`
    `static java.util.Map<TCursorGetConfig._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `TCursorGetMode` | `mode`
    `boolean` | `multiKey`
    `boolean` | `multiple`
    `boolean` | `rmw`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCursorGetConfig()`
    `TCursorGetConfig(TCursorGetConfig other)` Performs a deep copy on other.
    `TCursorGetConfig(TCursorGetMode mode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TCursorGetConfig other)`
    `TCursorGetConfig` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TCursorGetConfig that)`
    `TCursorGetConfig._Fields` | `fieldForId(int fieldId)`
    `int` | `getBatchSize()`
    `java.lang.Object` | `getFieldValue(TCursorGetConfig._Fields field)`
    `TIsolationLevel` | `getIsoLevel()`
    `TCursorGetMode` | `getMode()`
    `int` | `hashCode()`
    `boolean` | `isMultiKey()`
    `boolean` | `isMultiple()`
    `boolean` | `isRmw()`
    `boolean` | `isSet(TCursorGetConfig._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBatchSize()` Returns true if field batchSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetIsoLevel()` Returns true if field isoLevel is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMode()` Returns true if field mode is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMultiKey()` Returns true if field multiKey is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMultiple()` Returns true if field multiple is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRmw()` Returns true if field rmw is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TCursorGetConfig` | `setBatchSize(int batchSize)`
    `void` | `setBatchSizeIsSet(boolean value)`
    `void` | `setFieldValue(TCursorGetConfig._Fields field, java.lang.Object value)`
    `TCursorGetConfig` | `setIsoLevel(TIsolationLevel isoLevel)`
    `void` | `setIsoLevelIsSet(boolean value)`
    `TCursorGetConfig` | `setMode(TCursorGetMode mode)`
    `void` | `setModeIsSet(boolean value)`
    `TCursorGetConfig` | `setMultiKey(boolean multiKey)`
    `void` | `setMultiKeyIsSet(boolean value)`
    `TCursorGetConfig` | `setMultiple(boolean multiple)`
    `void` | `setMultipleIsSet(boolean value)`
    `TCursorGetConfig` | `setRmw(boolean rmw)`
    `void` | `setRmwIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetBatchSize()`
    `void` | `unsetIsoLevel()`
    `void` | `unsetMode()`
    `void` | `unsetMultiKey()`
    `void` | `unsetMultiple()`
    `void` | `unsetRmw()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mode

          public TCursorGetMode mode

      See Also:
        `TCursorGetMode`

    - #### multiple

          public boolean multiple

    - #### multiKey

          public boolean multiKey

    - #### batchSize

          public int batchSize

    - #### rmw

          public boolean rmw

    - #### isoLevel

          public TIsolationLevel isoLevel

      See Also:
        `TIsolationLevel`

    - #### metaDataMap

          public static final java.util.Map<TCursorGetConfig._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TCursorGetConfig

          public TCursorGetConfig()

    - #### TCursorGetConfig

          public TCursorGetConfig(TCursorGetMode mode)

    - #### TCursorGetConfig

          public TCursorGetConfig(TCursorGetConfig other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TCursorGetConfig deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TCursorGetConfig,TCursorGetConfig._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TCursorGetConfig,TCursorGetConfig._Fields>`

    - #### getMode

          public TCursorGetMode getMode()

      See Also:
        `TCursorGetMode`

    - #### setMode

          public TCursorGetConfig setMode(TCursorGetMode mode)

      See Also:
        `TCursorGetMode`

    - #### unsetMode

          public void unsetMode()

    - #### isSetMode

          public boolean isSetMode()

      Returns true if field mode is set (has been assigned a value) and false otherwise

    - #### setModeIsSet

          public void setModeIsSet(boolean value)

    - #### isMultiple

          public boolean isMultiple()

    - #### setMultiple

          public TCursorGetConfig setMultiple(boolean multiple)

    - #### unsetMultiple

          public void unsetMultiple()

    - #### isSetMultiple

          public boolean isSetMultiple()

      Returns true if field multiple is set (has been assigned a value) and false otherwise

    - #### setMultipleIsSet

          public void setMultipleIsSet(boolean value)

    - #### isMultiKey

          public boolean isMultiKey()

    - #### setMultiKey

          public TCursorGetConfig setMultiKey(boolean multiKey)

    - #### unsetMultiKey

          public void unsetMultiKey()

    - #### isSetMultiKey

          public boolean isSetMultiKey()

      Returns true if field multiKey is set (has been assigned a value) and false otherwise

    - #### setMultiKeyIsSet

          public void setMultiKeyIsSet(boolean value)

    - #### getBatchSize

          public int getBatchSize()

    - #### setBatchSize

          public TCursorGetConfig setBatchSize(int batchSize)

    - #### unsetBatchSize

          public void unsetBatchSize()

    - #### isSetBatchSize

          public boolean isSetBatchSize()

      Returns true if field batchSize is set (has been assigned a value) and false otherwise

    - #### setBatchSizeIsSet

          public void setBatchSizeIsSet(boolean value)

    - #### isRmw

          public boolean isRmw()

    - #### setRmw

          public TCursorGetConfig setRmw(boolean rmw)

    - #### unsetRmw

          public void unsetRmw()

    - #### isSetRmw

          public boolean isSetRmw()

      Returns true if field rmw is set (has been assigned a value) and false otherwise

    - #### setRmwIsSet

          public void setRmwIsSet(boolean value)

    - #### getIsoLevel

          public TIsolationLevel getIsoLevel()

      See Also:
        `TIsolationLevel`

    - #### setIsoLevel

          public TCursorGetConfig setIsoLevel(TIsolationLevel isoLevel)

      See Also:
        `TIsolationLevel`

    - #### unsetIsoLevel

          public void unsetIsoLevel()

    - #### isSetIsoLevel

          public boolean isSetIsoLevel()

      Returns true if field isoLevel is set (has been assigned a value) and false otherwise

    - #### setIsoLevelIsSet

          public void setIsoLevelIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TCursorGetConfig._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TCursorGetConfig,TCursorGetConfig._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TCursorGetConfig._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TCursorGetConfig,TCursorGetConfig._Fields>`

    - #### isSet

          public boolean isSet(TCursorGetConfig._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TCursorGetConfig,TCursorGetConfig._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TCursorGetConfig that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TCursorGetConfig other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TCursorGetConfig>`

    - #### fieldForId

          public TCursorGetConfig._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TCursorGetConfig,TCursorGetConfig._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.